#eureka client配置
eureka.client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.1.21:6001/eureka/
eureka.instance.appGroupName: qingniu
prolog.tx.url: http://192.168.1.21:7000/tx/manager/
prolog.auth.redis.namespace: "qingniu_wms_user:"

spring:
  application:
    name: upcloud-base-wh-operate
  #redis配置
  redis:
    cluster:
      nodes: 192.168.1.17:6379,192.168.1.17:6380,192.168.1.18:6379,192.168.1.18:6380,192.168.1.19:6379,192.168.1.19:6380
    password: prolog-redis-0212
  #链路跟踪
  zipkin:
    sender.type: rabbit
    rabbitmq.queue: trace
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  rabbitmq:
    host: 192.168.1.17
    port: 5672
    username: qingniu-wms
    password: qingniu-wms
    virtual-host: /qingniu-wms
    publisher-confirms: true
    listener:
      simple:
        acknowledge-mode: manual # 手动应答
        auto-startup: true
        default-requeue-rejected: false # 不重回队列
        concurrency: 5  # 允许并发数
        max-concurrency: 20
        #        prefetch: 1 # 每次只处理一个信息
        retry:
          enabled: true
        prefetch: 300
  datasource:
    driverClassName: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://192.168.1.13:2206/upcloud_biz_wh_operate_qingniu?useSSL=false&serverTimezone=CTT&useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true
    username: dev
    password: prolog0212-dev
    #使用druid数据源
    initialSize: 1 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 10 #最大連接數
    maxWait: 60000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000 #最小生存時間
prolog:
  dao:
    performance:
      enable: true
      showSql: true
    dialect: mysql
    mybatis:
      mapperLocations: classpath:mappers/mysql/*.xml
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  serarch:
    url: http://service-data-api-base/search
  service:
    item: upcloud-base-item
    inventory: upcloud-base-inventory
    warehouse: upcloud-base-wh
    platform-power: service-platform-power-base
    strategy: upcloud-base-strategy
    common: upcloud-base-common
    chain: upcloud-base-chain
    control: upcloud-base-wh-control
    outbound: upcloud-base-wh-outbound
    gsp: upcloud-base-gsp
    inbound: upcloud-base-wh-inbound
    integration: service-integration
    eis: service-eis-master

#接口平台地址
  integration:
    url: http://192.168.1.212:10001
    token: $2a$12$YIIm6aSpXAFDQ.IL1ah0TOBp/zbQaiPT5mFBaUxbCbwRKO0ZVkwqW
    instockTransforId: 284
    instockCallId: 288
    instockCallStatusId: 301
    sendAgv: 282
    sendWms: 291
    updateAgvStatus: 293
    zftFlag: false
    countSheetId: 299
    countSheetInId: 300
    countSheetOutId: 301
logging:
  config: classpath:log4j2-test.xml
  level:
    com.netflix.discovery.shared.resolver.aws.ConfigClusterResolver: WARN

# 超时配置
ribbon:
  ReadTimeout: 120000
  ConnectTimeout: 10000
  MaxAutoRetries: 1
  MaxAutoRetriesNextServer: 1

feign.hystrix.enabled: true #启用熔断
hystrix:
  threadpool:
   default:
      coreSize: 20 #线程隔离，默认线程池大小为10
      maxQueueSize: 500
      queueSizeRejectionThreshold: 400
  command:
    default: #默认全局配置
      execution:
        timeout:
          enabled: true
        isolation:
          thread:
            timeoutInMilliseconds: 525000
oms:
  omsInventoryResultUrl: http://192.168.1.212:10001/api/oms/acceptanceBack
  omsStockAdjustmentResultUrl: http://192.168.1.212:10001/api/oms/acceptanceBack
  omsInvCheckBackUrl: http://192.168.1.212:10001/api/oms/inventory

#外部系统
external:
  isTest: true

